## com.gargoylesoftware.htmlunit
Interface WebConnection

All Known Implementing Classes:
  DebuggingWebConnection, FalsifyingWebConnection, HttpWebConnection, MockWebConnection, WebConnectionWrapper

    public interface WebConnection

An object which handles the actual communication portion of page retrieval/submission.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, Daniel Gredler, Marc Guillemot

Method Summary
`WebResponse` `getResponse(WebRequestSettings settings)` Submits a request and retrieves a response.

Method Detail

### getResponse

    WebResponse getResponse(WebRequestSettings settings)
                            throws java.io.IOException

  Submits a request and retrieves a response.

  Parameters:
    `settings` - Settings to make the request with
  Returns:
    the response to the request defined by the specified request settings
  Throws:
    `java.io.IOException` - if an IO error occurs

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.